Greetings,
I want to move a large 3D steel file on top of a 2D architectural background. The ISSUE is that when i move it (in plan view "aka top view") the X,Y coordinates change AND the Z coordinate changes... But, I want the Z coodinate to stay the same :(
I wrote a LISP file that doesnt seem to work (SEE BELOW): can someone help me with this file?
(defun C:MoveXY (/ PT1 PTB PT2) (setvar "CMDECHO" 0) (setq PT1 (getpoint "\nSpecify Base Point or [Displacement] Displacement: ") PTB (getpoint "\nSpecify second point or <use first point as displacement>: ") PT2 (list (car PTB)(cadr PTB)(cddr PT1)) ) (command "_.MOVE" (SSGET) "" PT1 PT2) )
it seems my issue comes when i get to the command line (ssget) seems to mess it all up :(
Can someone please explain how to use the ".Move" command with the (ssget) function?
Thanks